<template>
    <section>
        <div class="user__bonus hide-pc" v-if="$root.user !== null" @click="$root.goToBonus">
            Бесплатный бонус <i class="fa fa-arrow-right" aria-hidden="true"></i>
        </div>
        <div class="row">
            <div class="col-xs-4 col-md-4">
                <div class="card-game">
                    <div class="card-game__thumbnail">
                        <img width="100%" src="/assets/img/icon/games/jackpot-bg.jpg" style="border-radius: 7px 7px 0 0"/>
                    </div>
                    <div class="card-game__body">
                        <div class="card-game__icon">
                            <svg class="icon">
                                <use xlink:href="/assets/img/symbols.svg?v=1#icon-flip"></use>
                            </svg>
                        </div>
                        <h2 class="card-game__title">Jackpot</h2>
                        <p class="card-game__description">
                            Испытай свою удачу и забери весь банк!
                        </p>
                        <router-link tag="a" :to="{name: 'jackpot'}" class="card-game__button">
                            Играть
                            <img src="/assets/img/icon/play.svg" alt="Играть в jackpot" class="card-game__play" />
                        </router-link>
                    </div>
                </div>
            </div>
            <div class="col-xs-4 col-md-4">
                <div class="card-game">
                    <div class="card-game__thumbnail">
                        <img width="100%" src="/assets/img/icon/games/dice-bg-old.jpg?v=2" style="border-radius: 7px 7px 0 0"/>
                    </div>
                    <div class="card-game__body">
                        <div class="card-game__icon">
                            <img width="100%" src="/assets/img/icon/games/dice.svg" alt="Dice" />
                        </div>
                        <h2 class="card-game__title">Dice</h2>
                        <p class="card-game__description">
                            Целых 3 кнопки, чтобы испытать свою удачу!
                        </p>
                        <router-link tag="a" :to="{name: 'dice'}" class="card-game__button">
                            Играть
                            <img src="/assets/img/icon/play.svg" alt="Играть в dice" class="card-game__play" />
                        </router-link>
                    </div>
                </div>
            </div>
            <div class="col-xs-4 col-md-4">
                <div class="card-game">
                    <div class="card-game__thumbnail">
                        <img width="100%" src="/assets/img/icon/games/mines-bg.jpg?v=2" style="border-radius: 7px 7px 0 0"/>
                    </div>
                    <div class="card-game__body">
                        <div class="card-game__icon">
                            <svg class="icon">
                                <use xlink:href="/assets/img/symbols.svg?v=1#icon-mines"></use>
                            </svg>
                        </div>
                        <h2 class="card-game__title">Mines</h2>
                        <p class="card-game__description">
                            Не подорвись на бомбе и выиграй до 5200300х.
                        </p>
                        <router-link tag="a" :to="{name: 'mines'}" class="card-game__button">
                            Играть
                            <img src="/assets/img/icon/play.svg" alt="Играть в soon" class="card-game__play" />
                        </router-link>
                    </div>
                </div>
            </div>
            <div class="col-xs-4 col-md-4 mt-16">
                <div class="card-game">
                    <div class="card-game__thumbnail">
                        <img width="100%" src="/assets/img/icon/games/bubbles-bg.jpg" style="border-radius: 7px 7px 0 0"/>
                    </div>
                    <div class="card-game__body">
                        <div class="card-game__icon">
                            <img width="100%" src="/assets/img/icon/games/bubbles.svg" alt="Bubbles" />
                        </div>
                        <h2 class="card-game__title">Bubbles</h2>
                        <p class="card-game__description">
                            Шанс выиграть до 10000х
                        </p>
                        <router-link tag="a" :to="{name: 'bubbles'}" class="card-game__button">
                            Играть
                            <img src="/assets/img/icon/play.svg" alt="Играть в bubbles" class="card-game__play" />
                        </router-link>
                    </div>
                </div>
            </div>
            <div class="col-xs-4 col-md-4 mt-16">
                <div class="card-game">
                    <div class="card-game__thumbnail">
                        <img width="100%" src="/assets/img/icon/games/slots-bg.jpg" style="border-radius: 7px 7px 0 0"/>
                    </div>
                    <div class="card-game__body">
                        <div class="card-game__icon">
                            <img width="100%" src="/assets/img/icon/games/slots.svg" alt="Slots" />
                        </div>
                        <h2 class="card-game__title">Slots</h2>
                        <p class="card-game__description">
                            Испытай удачу и забери ОГРОМНЫЙ множитель.
                        </p>
                        <router-link tag="a" :to="{name: 'slots'}" class="card-game__button">
                            Играть
                            <img src="/assets/img/icon/play.svg" alt="Играть в slots" class="card-game__play" />
                        </router-link>
                    </div>
                </div>
            </div>
            <div class="col-xs-4 col-md-4 mt-16">
                <div class="card-game disabled">
                    <div class="card-game__thumbnail">
                        <img width="100%" src="/assets/img/icon/games/wheel-bg.jpg" style="border-radius: 7px 7px 0 0"/>
                    </div>
                    <div class="card-game__body">
                        <div class="card-game__icon">
                            <img width="100%" src="/assets/img/icon/games/slots.svg" alt="Slots" />
                        </div>
                        <h2 class="card-game__title">Wheel</h2>
                        <p class="card-game__description">
                            Скоро
                        </p>
                        <router-link tag="a" :to="{name: 'slots'}" class="card-game__button">
                            Скоро
                            <img src="/assets/img/icon/play.svg" alt="Играть в slots" class="card-game__play" />
                        </router-link>
                    </div>
                </div>
            </div>
            <div class="col-xs-12">
                <History />
            </div>
        </div>
    </section>
</template>

<script>
import History from '../components/History'

export default {
    components: {
        History,
    },
}
</script>

<style scoped>
.mt-16 {
    margin-top: 16px
}
.card-game__icon > svg.icon {
    fill: #fff;
    transform: scale(.85);
}
.card-game {
    background: #fff;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
}
.card-game.disabled {
    opacity: 0.4;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    filter: grayscale(100%);
    cursor: unset;
    pointer-events: none;
}
.card-game__thumbnail {
    display: flex;
}
.card-game__body {
    padding: 51px 32px 36px;
    position: relative;
}
@media (max-width: 75em) {
    .card-game__body {
        padding: 26.88px 15px 17px;
    }
}
.card-game__icon {
    width: 64px;
    height: 64px;
    border-radius: 50%;
    background: #2c80ff;
    position: absolute;
    left: 32px;
    top: 0;
    transform: translateY(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 18px;
}
@media (max-width: 75em) {
    .card-game__icon {
        width: 35px;
        height: 35px;
        padding: 10px;
        left: 50%;
        transform: translate(-50%, -50%);
    }
}
.card-game__icon:after {
    position: absolute;
    left: -8px;
    top: -8px;
    width: calc(100% + 16px);
    height: calc(100% + 16px);
    content: "";
    background: rgba(44, 128, 255, 0.25);
    border-radius: 50%;
    z-index: -2;
}
.card-game__title {
    font-weight: 700;
    font-size: 20px;
    line-height: 23px;
    color: #000;
    margin: 0 0 0.625rem;
    width: 100%;
}
@media (max-width: 75em) {
    .card-game__title {
        text-align: center;
        font-size: 12px;
    }
}
.card-game__description {
    font-weight: 500;
    font-size: 12px;
    line-height: 14px;
    color: #abb4d8;
    margin-bottom: 24px;
    letter-spacing: 0 !important;
    min-height: 50px;
}
@media (max-width: 75em) {
    .card-game__description {
        display: none;
    }
}
.card-game__button {
    text-decoration: none;
    text-transform: uppercase;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-weight: 700;
    font-size: 12px;
    line-height: 14px;
    text-align: center;
    color: #fff;
    background: #2c80ff;
    box-shadow: 0 25px 65px rgba(49, 94, 251, 0.45);
    display: flex;
    align-items: center;
    margin: 0 auto;
    justify-content: center;
    padding: 12px 41px;
    width: -webkit-max-content;
    width: -moz-max-content;
    width: max-content;
}
@media (max-width: 75em) {
    .card-game__button {
        font-size: 8px;
        padding: 8px 18px;
        width: 100%;
    }
}
.card-game__play {
    margin-left: 5px;
}

</style>
